include ../Makefile.common

OBJ = $(patsubst %.cpp,%.o,$(wildcard src/*.cpp))
LIBNAME = libcorona.a
CXXFLAGS += -Isrc -I../libpng -I../zlib -I../physfs
all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archive $@ 
	@ar -csru $@ $(OBJ)
	@echo
		
clean:
	-@$(RM) src$(SLASH)*.o
	-@$(RM) src$(SLASH)*.d
	-@$(RM) $(LIBNAME)
